<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="https://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>de.hft.stuttgart</groupId>
		<artifactId>CityDoctorParent</artifactId>
		<version>3.12.0</version>
	</parent>

	<properties>
		<versionString>${project.version}-${git.commit.id.abbrev}</versionString>
	</properties>

	<artifactId>CityDoctorModel</artifactId>
	<name>CityDoctorModel</name>
	<dependencies>
		<dependency>
			<groupId>org.citygml4j</groupId>
			<artifactId>citygml4j-core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.citygml4j</groupId>
			<artifactId>citygml4j-xml</artifactId>
		</dependency>
		<dependency>
			<groupId>de.hft.stuttgart</groupId>
			<artifactId>citygml4j-quality-ade</artifactId>
		</dependency>
		<dependency>
			<groupId>gov.nist.math</groupId>
			<artifactId>jama</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jogamp.gluegen</groupId>
			<artifactId>gluegen-rt-main</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jogamp.jogl</groupId>
			<artifactId>jogl-all-main</artifactId>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-api</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.yaml</groupId>
			<artifactId>snakeyaml</artifactId>
		</dependency>
		<dependency>
			<groupId>org.locationtech.proj4j</groupId>
			<artifactId>proj4j</artifactId>
		</dependency>
	</dependencies>

	<build>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<groupId>pl.project13.maven</groupId>
				<artifactId>git-commit-id-plugin</artifactId>
				<version>4.9.10</version>
				<executions>
					<execution>
						<id>get-the-git-infos</id>
						<goals>
							<goal>revision</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<dotGitDirectory>${project.basedir}/../../.git</dotGitDirectory>
					<prefix>git</prefix>
					<verbose>false</verbose>
					<generateGitPropertiesFile>true</generateGitPropertiesFile>
					<generateGitPropertiesFilename>${project.build.outputDirectory}/git.properties</generateGitPropertiesFilename>
					<gitDescribe>
						<skip>false</skip>
						<always>false</always>
					</gitDescribe>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>